- Main Page
- Namespaces
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# dataStream Struct Reference

`#include <ubixfs.h>`

## Public Member Functions
off_t size | __attribute__ ((packed))
off_t maxDoubleIndirectRange | __attribute__ ((packed))
blockRun double_indirect | __attribute__ ((packed))
off_t maxIndirectRange | __attribute__ ((packed))
blockRun indirect | __attribute__ ((packed))
off_t maxDirectRange | __attribute__ ((packed))
blockRun direct[NUM_DIRECT_BLOCKS] | __attribute__ ((packed))

## Detailed Description

Definition at line 100 of file ubixfs.h.

## Member Function Documentation

off_t size dataStream::__attribute__ | ( | (packed) |  | ) |

off_t maxDoubleIndirectRange dataStream::__attribute__ | ( | (packed) |  | ) |

struct blockRun double_indirect dataStream::__attribute__ | ( | (packed) |  | ) |

off_t maxIndirectRange dataStream::__attribute__ | ( | (packed) |  | ) |

struct blockRun indirect dataStream::__attribute__ | ( | (packed) |  | ) |

off_t maxDirectRange dataStream::__attribute__ | ( | (packed) |  | ) |

struct blockRun direct [NUM_DIRECT_BLOCKS] dataStream::__attribute__ | ( | (packed) |  | ) |

The documentation for this struct was generated from the following file:

- src/sys/ubixfsv2/ubixfs.h